export interface PtSchoolVO {
  /**
   * 学校Id,主键
   */
  schoolId: string | number;

  /**
   * 学校名称
   */
  schoolName: string;

  /**
   * 学校代码
   */
  schoolCode: string;

  /**
   * 学校地址
   */
  address: string;

  /**
   * 邮政编码
   */
  postCode: string;

  /**
   * 学校官网
   */
  homePage: string;

  /**
   * 单位办别,见DWBB字典类别
   */
  schoolType: string;

}

export interface PtSchoolForm extends BaseEntity {
  /**
   * 学校Id,主键
   */
  schoolId?: string | number;

  /**
   * 学校名称
   */
  schoolName?: string;

  /**
   * 学校代码
   */
  schoolCode?: string;

  /**
   * 学校英文名
   */
  englishName?: string;

  /**
   * 学校地址
   */
  address?: string;

  /**
   * 建校年月
   */
  foundYear?: string;

  /**
   * 邮政编码
   */
  postCode?: string;

  /**
   * 行政区划
   */
  administrative?: string;

  /**
   * 校庆日
   */
  anniversary?: string;

  /**
   * 办学类型,见BXLX字典类别
   */
  officeType?: string;

  /**
   * 主管部门
   */
  chargeDept?: string;

  /**
   * 法人代表工号
   */
  legalPerson?: string;

  /**
   * 法人证书号
   */
  legalCertificate?: string;

  /**
   * 校长姓名
   */
  masterName?: string;

  /**
   * 校长工号
   */
  masterNum?: string;

  /**
   * 党委负责人
   */
  partyPerson?: string;

  /**
   * 组织机构码
   */
  orgCode?: string;

  /**
   * 联系电话
   */
  telephone?: string;

  /**
   * 传真
   */
  fax?: string;

  /**
   * 邮箱
   */
  email?: string;

  /**
   * 学校官网
   */
  homePage?: string;

  /**
   * 历史沿革
   */
  history?: string;

  /**
   * 单位办别,见DWBB字典类别
   */
  schoolType?: string;

  /**
   * 主管单位
   */
  chargeUnit?: string;

  /**
   * 所在地城乡类型,见SZDCXLX字典类别
   */
  cityType?: string;

  /**
   * 所在地经济属性码,见SZDQJJSX字典类别
   */
  economicCode?: string;

  /**
   * 所在地民族属性,见SZDMZSX字典类别
   */
  raceProperty?: string;

  /**
   * 学制
   */
  educationalSystem?: number;

  /**
   * 入学年龄
   */
  enrolAge?: number;

  /**
   * 备注
   */
  remark?: string;

}

export interface PtSchoolQuery extends PageQuery {

  /**
   * 学校名称
   */
  schoolName?: string;

  /**
   * 单位办别,见DWBB字典类别
   */
  schoolType?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



